Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 314067 - dev-util/cmake-2.8.0-r3 fails on armv5tel-softfloat-linux-gnueabi with "internal compiler error: Segmentation fault"
Summary: dev-util/cmake-2.8.0-r3 fails on armv5tel-softfloat-linux-gnueabi with "inter...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Development (show other bugs)
Hardware: ARM Linux
: High normal (vote)
Assignee: Gentoo ARM Porters
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-09 10:07 UTC by Adrian Mayer
Modified: 2011-05-23 20:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adrian Mayer 2010-04-09 10:07:50 UTC
emerging =dev-util/cmake-2.8.0-r3

is reporting

gmake: *** [cmBootstrapCommands.o] Error 1
internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
---------------------------------------------
Error when bootstrapping CMake:
Problem while running gmake
---------------------------------------------


Reproducible: Always

Steps to Reproduce:
emerge dev-util/cmake






/var/tmp/portage/dev-util/cmake-2.8.0-r3/work/cmake-2.8.0/Source/cmFindCommon.cxx: In member function 'bool cmFindCommon::CheckCommonArgument(const std::string&)':
/var/tmp/portage/dev-util/cmake-2.8.0-r3/work/cmake-2.8.0/Source/cmFindCommon.cxx:286: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugs.gentoo.org/> for instructions.
gmake: *** [cmBootstrapCommands.o] Error 1
---------------------------------------------
Error when bootstrapping CMake:
Problem while running gmake
---------------------------------------------
Log of errors: /var/tmp/portage/dev-util/cmake-2.8.0-r3/work/cmake-2.8.0/Bootstrap.cmk/cmake_bootstrap.log
---------------------------------------------
* ERROR: dev-util/cmake-2.8.0-r3 failed:
* ./bootstrap failed
*
* Call stack:
* ebuild.sh, line 54: Called src_configure
* environment, line 3354: Called die
* The specific snippet of code:
* ./bootstrap --system-libs --prefix="${EPREFIX}"/usr --docdir=/share/doc/${PF} --datadir=/share/${PN} --mandir=/share/man "$qt_arg" "$par_arg" || die "./bootstrap failed";
*
* If you need support, post the output of 'emerge --info =dev-util/cmake-2.8.0-r3',
* the complete build log and the output of 'emerge -pqv =dev-util/cmake-2.8.0-r3'.
* The complete build log is located at '/var/tmp/portage/dev-util/cmake-2.8.0-r3/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-util/cmake-2.8.0-r3/temp/environment'.
* S: '/var/tmp/portage/dev-util/cmake-2.8.0-r3/work/cmake-2.8.0'

>>> Failed to emerge dev-util/cmake-2.8.0-r3, Log file:






gcc:

gcc -v
Using built-in specs.
Target: armv5tel-softfloat-linux-gnueabi
Configured with: /var/tmp/portage/sys-devel/gcc-4.3.4/work/gcc-4.3.4/configure --prefix=/usr --bindir=/usr/armv5tel-softfloat-linux-gnueabi/gcc-bin/4.3.4 --includedir=/usr/lib/gcc/armv5tel-softfloat-linux-gnueabi/4.3.4/include --datadir=/usr/share/gcc-data/armv5tel-softfloat-linux-gnueabi/4.3.4 --mandir=/usr/share/gcc-data/armv5tel-softfloat-linux-gnueabi/4.3.4/man --infodir=/usr/share/gcc-data/armv5tel-softfloat-linux-gnueabi/4.3.4/info --with-gxx-include-dir=/usr/lib/gcc/armv5tel-softfloat-linux-gnueabi/4.3.4/include/g++-v4 --host=armv5tel-softfloat-linux-gnueabi --build=armv5tel-softfloat-linux-gnueabi --disable-altivec --disable-fixed-point --with-float=soft --disable-nls --with-system-zlib --disable-checking --disable-werror --enable-secureplt --disable-multilib --disable-libmudflap --disable-libssp --disable-libgomp --disable-libgcj --enable-languages=c,c++,treelang,fortran --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --with-bugurl=http://bugs.gentoo.org/ --with-pkgversion='Gentoo 4.3.4 p1.0, pie-10.1.5'
Thread model: posix
gcc version 4.3.4 (Gentoo 4.3.4 p1.0, pie-10.1.5)


binutils:

as --version
GNU assembler (GNU Binutils) 2.19.1




sandbox:
emerge --search sandbox

*  sys-apps/sandbox
      Latest version available: 1.6-r2
      Latest version installed: 1.6-r2
      Size of files: 299 kB
      Homepage:      http://www.gentoo.org/
      Description:   sandbox'd LD_PRELOAD hack
      License:       GPL-2




emerge --info
Portage 2.1.7.17 (default/linux/arm/10.0, gcc-4.3.4, glibc-2.9_p20081201-r2, 2.6.23-c1000-proof2 armv5tel)
=================================================================
System uname: Linux-2.6.23-c1000-proof2-armv5tel-XScale-PXA270_rev_4_-v5l-with-gentoo-1.12.13
Timestamp of tree: Sun, 04 Apr 2010 19:00:01 +0000
app-shells/bash:     4.0_p35
dev-lang/python:     2.6.4
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.63-r1
sys-devel/automake:  1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc:       4.1.2, 4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="arm"
ACCEPT_LICENSE="* -@EULA"
CBUILD="armv5tel-softfloat-linux-gnueabi"
CFLAGS="-Os -march=armv5te -pipe"
CHOST="armv5tel-softfloat-linux-gnueabi"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-Os -march=armv5te -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/overlay/zaurus"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="acl alsa ao apache2 arm bash-completion bzip2 cli corgi crypt cxx fbcon fontconfig fortran ftp gdbm gif glib gnutls gpm iconv iwmmxt jpeg kdrive mad modules mp3 mudflap ncurses nls nptl nptlonly oss pam pcre perl png portaudio pppd python qt3support readline reflection sdl session sndfile spell spl sqlite ssl sysfs tcpd threads truetype tslib unicode vorbis xml xorg xosd xpm xrandr xterm xv zip zlib" ALSA_PCM_PLUGINS="*" APACHE2_MODULES="actions alias        auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile        authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires        ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation        rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse tslib" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Adrian Mayer 2010-04-09 10:10:20 UTC
cat /etc/make.conf
#
# akita armv5
# ===========

ACCEPT_KEYWORDS="arm" # ~arm"

CHOST="armv5tel-softfloat-linux-gnueabi"

CFLAGS="-Os -march=armv5te -pipe"

# [!] changing CHOST
#     http://www.gentoo.org/doc/en/change-chost.xml
#

CXXFLAGS=${CFLAGS}

#LDFLAGS="-Wl,-O1 -Wl,--sort-common"
#MAKEOPTS="-j1"
#NPTL_KERNEL_VERSION="2.6.20"

LINGUAS="en"

# tslib = touch screen lib
INPUT_DEVICES="evdev keyboard mouse tslib" 
VIDEO_CARDS="fbdev" 
ALSA_PCM_PLUGINS="*"


USE="acl alsa ao apache2 bash-completion bzip2 corgi fbcon fontconfig fortran
     ftp gdbm gif glib gnutls iconv iwmmxt jpeg kdrive mad mp3 ncurses nptl
     nptlonly oss pcre png portaudio qt3support readline sdl sndfile spell
     sqlite ssl tcpd threads truetype tslib unicode vorbis xml xorg xosd xpm
     xrandr xterm xv zip zlib -X -berkdb -bluetooth -consolekit -cracklib
     -cups -directfb -gtk -ipv6 -libsamplerate -minimal -ogg -openmp -pango
     -pulseaudio -samba -sha512 -slang -svg"




FEATURES="-distcc sandbox"

APACHE2_MODULES="actions alias
       auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile
       authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires
       ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation
       rewrite setenvif speling status unique_id userdir usertrack vhost_alias proxy"

PORTDIR_OVERLAY="/usr/overlay/zaurus"

Comment 2 Panagiotis Christopoulos (RETIRED) gentoo-dev 2010-04-09 10:30:48 UTC
"internal compiler error: Segmentation fault" mainly means that your toolchain is broken. It has nothing to do with cmake. Please, fix your toolchain. I resolve the bug as TEST-REQUEST. Reopen if you 're sure that a real bug exists.
Comment 3 Panagiotis Christopoulos (RETIRED) gentoo-dev 2010-04-09 10:32:33 UTC
Thank you for your report.
Comment 4 Adrian Mayer 2010-04-09 12:58:13 UTC
my dev chain is working correctly 
i was able to recompile gcc-4.1.2 and a pretty list of ebuild


2010-03-28--09-18---2010-03-28--22-50 - emerge  =sys-devel/gcc-4.1.2 - success - root


2010-04-02--16-25---2010-04-02--16-31 - emerge  =x11-misc/util-macros-1.5.0 - success - root
2010-04-02--16-31---2010-04-02--17-07 - emerge  =dev-libs/libxslt-1.1.26 - success - root
2010-04-02--17-07---2010-04-02--17-13 - emerge  =x11-proto/xproto-7.0.16 - success - root
2010-04-02--17-13---2010-04-02--17-20 - emerge  =x11-libs/xtrans-1.2.5 - success - root
2010-04-02--17-20---2010-04-02--17-26 - emerge  =x11-proto/inputproto-1.5.1 - success - root
2010-04-02--17-26---2010-04-02--17-32 - emerge  =x11-proto/kbproto-1.0.4 - success - root
2010-04-02--17-32---2010-04-02--17-38 - emerge  =x11-proto/bigreqsproto-1.1.0 - success - root
2010-04-02--17-38---2010-04-02--17-44 - emerge  =x11-proto/xcmiscproto-1.2.0 - success - root
2010-04-02--17-44---2010-04-02--17-49 - emerge  =x11-proto/xf86bigfontproto-1.2.0 - success - root
2010-04-02--17-49---2010-04-02--17-55 - emerge  =x11-proto/xcb-proto-1.5 - success - root
2010-04-02--17-55---2010-04-02--18-04 - emerge  =dev-libs/libpthread-stubs-0.1 - success - root
2010-04-02--18-04---2010-04-02--18-10 - emerge  =x11-proto/xextproto-7.0.5 - success - root
2010-04-02--18-10---2010-04-02--18-18 - emerge  =x11-libs/libXau-1.0.5 - success - root
2010-04-02--18-18---2010-04-02--18-28 - emerge  =x11-libs/libXdmcp-1.0.3 - success - root
2010-04-02--18-28---2010-04-02--18-40 - emerge  =x11-libs/libICE-1.0.6 - success - root
2010-04-02--18-40---2010-04-02--19-09 - emerge  =x11-libs/libxcb-1.4-r1 - success - root
2010-04-02--19-09---2010-04-02--19-20 - emerge  =x11-libs/libSM-1.1.1 - success - root
2010-04-02--21-46---2010-04-03--00-23 - emerge  =x11-libs/libX11-1.2.2 - failure - root
2010-04-03--00-23---2010-04-03--02-27 - emerge  =x11-libs/libXt-1.0.7-r1 - success - root
2010-04-03--02-27---2010-04-03--02-40 - emerge  =x11-libs/libXext-1.0.5 - success - root
2010-04-03--02-40---2010-04-03--02-56 - emerge  =x11-libs/libXpm-3.5.8 - success - root
2010-04-03--02-56---2010-04-03--03-22 - emerge  =media-libs/gd-2.0.35-r1 - success - root
2010-04-03--21-38---2010-04-03--23-11 - emerge  =x11-libs/libX11-1.2.2 - success - root
2010-04-04--12-31---2010-04-04--14-29 - emerge  =media-gfx/graphviz-2.26.0 - success - root
2010-04-04--17-46---2010-04-04--18-15 - emerge  dev-util/cmake - failure - root
2010-04-08--18-19---2010-04-08--18-37 - emerge  sys-apps/sandbox - success - root



actually i have this compilers installed

 gcc-config -l
 [1] armv5tel-softfloat-linux-gnueabi-4.1.2
 [2] armv5tel-softfloat-linux-gnueabi-4.3.4 *


cmake fails with 4.1.2 and with 4.3.4

also i did this tests about c and c++
mygcc-test 
(*) testing C compiler ... hallo C is working
(*) testing C++ compiler ... hallo C++ is working
(*) testing C compiler about branch ... v[]={ -O(0): ok,  -O(1): ok,  -O(2): ok,  -O(3): ok, EOL }




 cat /usr/bin/mygcc-test 
mysrc="hallo.c hallo.cc branchtest.c" 
mybin="hallo-c hallo-cpp branchtest"

if [ "$1" == "clean"  ]
   then
       for i in $mysrc
           do
               if [ -f $i ] 
                  then
                      rm $i
                  fi
           done
       for i in $mybin
           do
               if [ -f $i ] 
                  then
                      rm $i
                  fi
           done
       exit
   fi

# -------------------------------------------------------------------------

echo > hallo.c
echo "#include<stdio.h>" >> hallo.c
echo "int main()" >> hallo.c
echo "    {" >> hallo.c
echo "    printf(\"hallo C is working\n\"); " >> hallo.c
echo "    } " >> hallo.c
echo "    " >> hallo.c

# -------------------------------------------------------------------------

echo > hallo.cc
echo "#include <iostream>" >> hallo.cc
echo "using namespace std;" >> hallo.cc
echo "int main() " >> hallo.cc
echo "    { " >> hallo.cc
echo "    cout << \"hallo C++ is working\" << endl; " >> hallo.cc
echo "    return 0; " >> hallo.cc
echo "    }" >> hallo.cc 

# -------------------------------------------------------------------------

echo > branchtest.c
echo "int ret1()                                        " >> branchtest.c 
echo "    {                                             " >> branchtest.c
echo "    return -1;                                    " >> branchtest.c
echo "    }                                             " >> branchtest.c
echo "                                                  " >> branchtest.c
echo "int main(int argc, char **argv)                   " >> branchtest.c 
echo "    {                                             " >> branchtest.c
echo "    int i = ret1(); // i should be -1             " >> branchtest.c
echo "    if (i >= -10000) { i = -i; } // should execute" >> branchtest.c
echo "       return i+10;                               " >> branchtest.c
echo "    }                                             " >> branchtest.c

# -------------------------------------------------------------------------

echo -n "(*) testing C compiler ... "
     gcc hallo.c -o hallo-c
     ./hallo-c

# -------------------------------------------------------------------------

echo -n "(*) testing C++ compiler ... "
     g++ hallo.cc -o hallo-cpp
     ./hallo-cpp

# -------------------------------------------------------------------------

# echo Correct value is 11, if you see 11-9-9-11 your gcc is bugged.
# echo See http://bugs.gentoo.org/show_bug.cgi?id=203543

echo -n "(*) testing C compiler about branch ... v[]={"
     for i in 0 1 2 3 
         do
             gcc -Wall -O${i} -o branchtest branchtest.c        &&
             echo -n " -O(${i}): "
             ./branchtest
             ans="$?"
             if [ $ans == "11" ]
                then
                    answ="ok"
                else
                    answ="bugged"
                fi
             echo -n "$answ, "
             rm branchtest;
         done 
     echo "EOL }"













so, any idea about what could be wrong ?
the devchain is pretty out of the last stage3
Comment 5 Panagiotis Christopoulos (RETIRED) gentoo-dev 2010-04-09 13:40:29 UTC
Can you try to emerge the other two cmake versions(2.6.4-r3 and 2.8.1) and tell us any results?
Comment 6 Adrian Mayer 2010-04-09 14:11:05 UTC
                    all of theese have segmentation fault

                    * dev-util/cmake-2.6.4-r3
                    * dev-util/cmake-2.8.0-r3
                    * dev-util/cmake-2.8.1
Comment 7 Adrian Mayer 2010-04-10 08:06:09 UTC
also i find this 
http://bugs.gentoo.org/196631

may be a sandbox bug ?
Comment 8 Adrian Mayer 2010-04-11 11:24:05 UTC
today i updated glib to dev-libs/glib-2.22.4

2010-04-11--10-02---2010-04-11--12-09 - emerge  dev-libs/glib - success - root

then i tried to emerge cmake, and i got this

2010-04-11--12-12---2010-04-11--13-05 - emerge  dev-util/cmake - failure - root

portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Bootstrap.cmk -c /var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source/cmExportInstallFileGenerator.cxx -o cmExportInstallFileGenerator.o
armv5tel-softfloat-linux-gnueabi-g++ -Os -march=armv5te -pipe -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source   -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Bootstrap.cmk -c /var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source/cmInstallDirectoryGenerator.cxx -o cmInstallDirectoryGenerator.o
armv5tel-softfloat-linux-gnueabi-g++ -Os -march=armv5te -pipe -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source   -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Bootstrap.cmk -c /var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source/cmGeneratedFileStream.cxx -o cmGeneratedFileStream.o
armv5tel-softfloat-linux-gnueabi-g++ -Os -march=armv5te -pipe -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source   -I/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Bootstrap.cmk -c /var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Source/cmGlobalGenerator.cxx -o cmGlobalGenerator.o
{standard input}: Assembler messages:
{standard input}:22157: Error: symbol `.LEHE674' is already defined
{standard input}:22159: Error: symbol `.L3552' is already defined
{standard input}:22161: Error: symbol `.L3317' is already defined
{standard input}:22162: Error: symbol `.L3760' is already defined
{standard input}:22164: Error: symbol `.LEHB675' is already defined
{standard input}:22166: Error: symbol `.LEHE675' is already defined
{standard input}:22168: Error: symbol `.L3553' is already defined
{standard input}:22170: Error: symbol `.L3319' is already defined
{standard input}:22171: Error: symbol `.L3761' is already defined
{standard input}:22176: Error: symbol `.LEHB676' is already defined
{standard input}:22178: Error: symbol `.LEHE676' is already defined
{standard input}:22183: Error: symbol `.LEHB677' is already defined
{standard input}:22185: Error: symbol `.LEHE677' is already defined
{standard input}:22187: Error: symbol `.L3550' is already defined
{standard input}:22189: Error: symbol `.L3322' is already defined
{standard input}:22190: Error: symbol `.L3762' is already defined
{standard input}:22192: Error: symbol `.LEHB678' is already defined
{standard input}:22194: Error: symbol `.LEHE678' is already defined
{standard input}:22196: Error: symbol `.L3551' is already defined
{standard input}:22198: Error: symbol `.L3324' is already defined
{standard input}:22199: Error: symbol `.L3763' is already defined
{standard input}:22205: Error: symbol `.LEHB679' is already defined
{standard input}:22207: Error: symbol `.LEHE679' is already defined
{standard input}:22213: Error: symbol `.LEHB680' is already defined
{standard input}:22215: Error: symbol `.LEHE680' is already defined
{standard input}:22217: Error: symbol `.L3548' is already defined
{standard input}:22219: Error: symbol `.L3327' is already defined
{standard input}:22220: Error: symbol `.L3764' is already defined
{standard input}:22222: Error: symbol `.LEHB681' is already defined
{standard input}:22224: Error: symbol `.LEHE681' is already defined
{standard input}:22226: Error: symbol `.L3549' is already defined
{standard input}:22228: Error: symbol `.L3329' is already defined
{standard input}:22229: Error: symbol `.L3765' is already defined
{standard input}:22234: Error: symbol `.LEHB682' is already defined
{standard input}:22240: Error: symbol `.LEHE682' is already defined
{standard input}:22244: Error: symbol `.LEHB683' is already defined
{standard input}:22251: Error: symbol `.LEHE683' is already defined
{standard input}:22266: Error: symbol `.LEHB684' is already defined
{standard input}:22268: Error: symbol `.LEHE684' is already defined
{standard input}:22273: Error: symbol `.LEHB685' is already defined
{standard input}:22275: Error: symbol `.LEHE685' is already defined
{standard input}:22277: Error: symbol `.L3545' is already defined
{standard input}:22278: Error: symbol `.L3332' is already defined
{standard input}:22283: Error: symbol `.L3766' is already defined
{standard input}:22285: Error: symbol `.LEHB686' is already defined
{standard input}:22287: Error: symbol `.LEHE686' is already defined
{standard input}:22289: Error: symbol `.L3546' is already defined
{standard input}:22291: Error: symbol `.L3334' is already defined
{standard input}:22296: Error: symbol `.L3767' is already defined
{standard input}:22299: Error: symbol `.LEHB687' is already defined
{standard input}:22301: Error: symbol `.LEHE687' is already defined
{standard input}:22303: Error: symbol `.L3547' is already defined
{standard input}:22305: Error: symbol `.L3336' is already defined
{standard input}:22308: Error: symbol `.L3768' is already defined
{standard input}:22310: Error: symbol `.L3700' is already defined
{standard input}:22312: Error: symbol `.LEHB688' is already defined
{standard input}:22314: Error: symbol `.L3285' is already defined
{standard input}:22335: Error: symbol `.LEHE688' is already defined
{standard input}:22341: Error: symbol `.LEHB689' is already defined
{standard input}:22343: Error: symbol `.LEHE689' is already defined
{standard input}:22349: Error: symbol `.LEHB690' is already defined
{standard input}:22351: Error: symbol `.LEHE690' is already defined
{standard input}:22353: Error: symbol `.L3543' is already defined
{standard input}:22355: Error: symbol `.L3347' is already defined
{standard input}:22356: Error: symbol `.L3769' is already defined
{standard input}:22358: Error: symbol `.LEHB691' is already defined
{standard input}:22360: Error: symbol `.LEHE691' is already defined
{standard input}:22362: Error: symbol `.L3544' is already defined
{standard input}:22364: Error: symbol `.L3349' is already defined
{standard input}:22365: Error: symbol `.L3770' is already defined
{standard input}:22369: Error: symbol `.LEHB692' is already defined
{standard input}:22371: Error: symbol `.LEHE692' is already defined
{standard input}:22376: Error: symbol `.LEHB693' is already defined
{standard input}:22378: Error: symbol `.LEHE693' is already defined
{standard input}:22380: Error: symbol `.L3541' is already defined
{standard input}:22382: Error: symbol `.L3352' is already defined
{standard input}:22383: Error: symbol `.L3771' is already defined
{standard input}:22385: Error: symbol `.LEHB694' is already defined
{standard input}:22387: Error: symbol `.LEHE694' is already defined
{standard input}:22389: Error: symbol `.L3542' is already defined
{standard input}:22391: Error: symbol `.L3354' is already defined
{standard input}:22392: Error: symbol `.L3772' is already defined
{standard input}:22398: Error: symbol `.LEHB695' is already defined
{standard input}:22400: Error: symbol `.LEHE695' is already defined
{standard input}:22406: Error: symbol `.LEHB696' is already defined
{standard input}:22408: Error: symbol `.LEHE696' is already defined
{standard input}:22410: Error: symbol `.L3539' is already defined
{standard input}:22412: Error: symbol `.L3357' is already defined
{standard input}:22413: Error: symbol `.L3773' is already defined
{standard input}:22415: Error: symbol `.LEHB697' is already defined
{standard input}:22417: Error: symbol `.LEHE697' is already defined
{standard input}:22419: Error: symbol `.L3540' is already defined
{standard input}:22419: Error: junk at end of line, first unrecognized character is `7'
gmake: *** [cmGlobalGenerator.o] Error 1
---------------------------------------------
Error when bootstrapping CMake:
Problem while running gmake
---------------------------------------------
Log of errors: /var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4/Bootstrap.cmk/cmake_bootstrap.log
---------------------------------------------
 * ERROR: dev-util/cmake-2.6.4-r3 failed:
 *   ./bootstrap failed
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_configure
 *   environment, line 3379:  Called die
 * The specific snippet of code:
 *           ./bootstrap --system-libs --prefix=/usr --docdir=/share/doc/${PF} --datadir=/share/${PN} --mandir=/share/man "$qt_arg" "$par_arg" || die "./bootstrap failed";
 * 
 * If you need support, post the output of 'emerge --info =dev-util/cmake-2.6.4-r3',
 * the complete build log and the output of 'emerge -pqv =dev-util/cmake-2.6.4-r3'.
 * The complete build log is located at '/var/tmp/portage/dev-util/cmake-2.6.4-r3/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-util/cmake-2.6.4-r3/temp/environment'.
 * S: '/var/tmp/portage/dev-util/cmake-2.6.4-r3/work/cmake-2.6.4'
Comment 9 Andreas K. Hüttel gentoo-dev 2010-07-07 19:06:50 UTC
No clue what the kde team could do here... ARM, I'd say you can resolve this if you dont know either. Or should we ask toolchain too? Your call.
Comment 10 Andreas K. Hüttel gentoo-dev 2010-12-30 17:41:12 UTC
OK, here's two suggestions. 

A) Try cmake-2.8.3-r1

B) What happens if you force-unmerge cmake and directly emerge it again? Risky business, be warned...

* quickpackage --include-config=y cmake   # making a backup to be safe
* emerge -aC cmake
* emerge -a cmake

I'm asking because cmake versions earlier than 2.8.3 had bugs in bootstrapping when there was already a working cmake on the system...

Comment 11 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-30 19:05:15 UTC
removing kde, CC us back if we can do anything here
Comment 12 Tomáš Chvátal (RETIRED) gentoo-dev 2011-02-21 15:32:57 UTC
could you try cmake-2.8.4?
Comment 13 Tomáš Chvátal (RETIRED) gentoo-dev 2011-05-23 20:12:15 UTC
No reply for 3 months.
Requested test version stable on arm so considering as fixed.
Please reopen if you find that the issue still occurs.